Skip to main content
POST

NIC validations

  1. To distinguish between the goods either on Road or in transit, new parameter transitType ( R- Road, W - Warehouse, O-Others) are introduced for Extend E-waybill API.
  2. If transmode is 1 to 4 then consignmentStatus value should be M and transitType should be blank (“transitType”:"").
  3. If transmode is 5 then consignmentStatus value should be T and transitType value can be either R or W or O.
  4. The Validity of EWB can be extended only by the current transporter. If transporter is not assigned, then the generator can update.
  5. The validity of EWB can be extended between 8 hours before expiry time and 8 hours after expiry time.
  6. The reason code along with reason description for the extension has to be entered.
  7. The present location of the consignment, at the time of requesting for the extension, has to be entered and distance to travel from there to destination has to be entered.
  8. If vehicle number is passed, the format of the vehicle number should be valid and as per the format
  9. In case of road as a transportation mode , the vehicle number should be passed and transport document number is optional.
  10. In case of rail, air or ship as a transportation mode, the transport document number is must.
  11. Remaining distance should not be more than the actual distance mentioned during the generation of E-way bill.
  12. Railways integration for validating Trans Document NO .
  13. Restriction of extension of E Way Bills beyond 360 days of generation of E Way Bill .

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

ewb_no
string
required

Body

application/json

E-Way Bill schema.

ewbNo
number
required

Ewaybill Number

fromPlace
string
required

From Place

Maximum string length: 50
fromState
integer
required

From State

Required range: x <= 99
remainingDistance
number
required

Remaining Distance

transMode
string
required

Transport Mode

See transport modes.

extnRsnCode
number
required
extnRemarks
string
required

Extension Remarks

fromPincode
number
required

From Pincode

vehicleNo
string

Vehicle Number

See vehicle number formats.

Required string length: 7 - 15
transDocNo
string

Transport Document Number

Maximum string length: 15
transDocDate
string

Transport Document Date

Pattern: [0-3][0-9]/[0-1][0-9]/[2][0][1-2][0-9]
consignmentStatus
string
transitType
string

transit Type

addressLine1
string

addressLine1

addressLine2
string

addressLine2

addressLine3
string

addressLine3

Response

200 - application/json

200 Success / 382 Validity can be only extended in last 8 hours / 705 Invalid transit type

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required